Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::normal_node Class Reference
[Nodes]

Inheritance diagram for openvrml::normal_node:

[legend]
List of all members.

## Detailed Description

Abstract base class for normal nodes.

## Public Member Functions
virtual | ~normal_node ()=0 throw ()
| Destroy.
virtual const std::vector< vec3f > & | vector () const =0 throw ()
| Get the array of normal vectors.
## Protected Member Functions
| normal_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope) throw ()
| Construct.
## Private Member Functions
virtual normal_node * | to_normal () throw ()
| Cast to a normal_node.

## Constructor & Destructor Documentation

openvrml::normal_node::~normal_node | ( |  | ) | throw ()`[pure virtual]`

| Destroy. Implemented in openvrml::vrml97_node::normal_node.

openvrml::normal_node::normal_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) | throw ()`[protected]`

  | Construct. Parameters:
  | type | the node_type associated with the node.
  | scope | the Scope the node belongs to.
Reimplemented in openvrml::vrml97_node::normal_node.

## Member Function Documentation

const std::vector< vec3f > & openvrml::normal_node::vector | ( |  | ) | const throw ()`[pure virtual]`

| Get the array of normal vectors. Returns: the array of normal vectors. Implemented in openvrml::vrml97_node::normal_node.

normal_node * openvrml::normal_node::to_normal | ( |  | ) | throw ()`[private, virtual]`

| Cast to a normal_node. Returns: a pointer to this normal_node. Reimplemented from openvrml::node.